%define rel	1

Summary:	Reference database and bibliography tool
Name:		refdb
Version:	0.9.9
Release:	%mkrel 5
Source0:	http://prdownloads.sourceforge.net/sourceforge/refdb/%{name}-%{version}-%{rel}.tar.gz
Source1:	refdb-README.urpmi
Patch0:		refdb.in.patch
License:	GPLv2+
Group:		Sciences/Computer science
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://refdb.sourceforge.net
Requires:	apache-mod_php => 5
BuildRequires:	btparse
BuildRequires:	libdbi-devel	
BuildRequires:	libexpat-devel
BuildRequires:	libncurses-devel
BuildRequires:	libreadline-devel
BuildRequires:	perl(MARC::Charset)
BuildRequires:	perl(MARC::Record)
BuildRequires:	perl(RefDB)
BuildRequires:	perl(Term::Clui)
BuildRequires:	perl(Text::Iconv)
BuildRequires:	perl(XML::Parser)

%description
RefDB is a reference database and bibliography tool for
SGML, XML, and LaTeX documents, sort of a Reference
Manager or BibTeX for markup languages. It is portable and
known to run on Linux, FreeBSD, and Windows/Cygwin.

%package -n %{name}-clients
Summary:	Clients for using %{name}
Group:		Networking/Remote access

%description	-n %{name}-clients
Clients allowing to connect to the refdb server.

%prep		
rm -rf %{buildroot}
%setup -q -n	%{name}-%{version}-%{rel}

cp %{SOURCE1}	README.urpmi
%patch0 -p0

%build
%configure2_5x --disable-rpath 
%make

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}/%{_localstatedir}/lib/%{name}/db

# LSB and pinit compliant initscript
install -D -m755 scripts/%{name} %{buildroot}/%{_initrddir}/%{name}

# Web interface
mkdir -p %{buildroot}/%{_var}/www/%{name}
mkdir -p %{buildroot}/%{_var}/www/%{name}/{css,images,includes,xsl}
install	phpweb/index.php		%{buildroot}/%{_var}/www/%{name}
install phpweb/css/*.css		%{buildroot}/%{_var}/www/%{name}/css
install phpweb/images/{*.gif,*.png}	%{buildroot}/%{_var}/www/%{name}/images
install phpweb/includes/*.php		%{buildroot}/%{_var}/www/%{name}/includes
install phpweb/xsl/*.xsl		%{buildroot}/%{_var}/www/%{name}/xsl

# apache configuration
install -d -m755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat > %{buildroot}%{webappconfdir}/%{name}.conf << EORefDBconf
# RefDB Apache configuration
Alias /%{name}/ "%{_var}/www/%{name}/"

<Directory %{_var}/www/%{name}>
	Options +ExecCGI
	AllowOverride None
	Order allow,deny
	Allow from all
	AddType application/x-httpd-php .php .phtml
</Directory>
EORefDBconf

# php ini
install -d %{buildroot}%{_sysconfdir}/php.d/
cat > %{buildroot}%{_sysconfdir}/php.d/A53_%{name}.ini << EOphpini
;session.save_path = "/tmp"
;session.use_cookies = 1
session.auto_start = 1
register_globals = On
EOphpini

%makeinstall_std

# Remove some documentation files
%{__rm} -f	doc/*.xml
%{__rm} -f	doc/Makefile*
%{__rm} -f	doc/refdbmanualfig*
%{__rm} -f	doc/refdb-manual.fo
%{__rm} -rf	doc/include
%{__rm} -f	doc/citestylex/ele-desc/*~

# Clean some paths introduced by the install-sh scrip
mv %{buildroot}/%{_datadir}/doc/%{name}-%{version}-%{rel} %{buildroot}/%{_datadir}/doc/%{name}

%clean
%{__rm} -rf	%{buildroot}

%post
%{_post_webapp}
%_post_service	%{name}
chmod 1777 %{_var}/www/%{name}

%preun
%_preun_service	%{name}

%postun
%{_postun_webapp}

%files
%defattr(-,root,root,0755)
%exclude	%{_bindir}/refdbc
%exclude	%{_bindir}/refdba
%exclude	%{_bindir}/refdbib
%{_bindir}/*
%exclude	%{_datadir}/%{name}/www
%{_datadir}/%{name}*
%{_initrddir}/refdb
%{_localstatedir}/lib/%{name}/db
%{_mandir}/*/*
%config(noreplace)	%{_sysconfdir}/%{name}/*
%config(noreplace)	%{_sysconfdir}/php.d/A53_%{name}.ini
%attr(644,root,root)	%{_var}/www/%{name}/*
%config(noreplace)	%{webappconfdir}/%{name}.conf
%doc doc/*
%doc README.urpmi AUTHORS ChangeLog INSTALL NEWS README UPGRADING

%files -n %{name}-clients
%defattr(-,root,root,0755)
%{_bindir}/refdbc
%{_bindir}/refdba
%{_bindir}/refdbib



%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.9-5mdv2009.0
+ Revision: 260208
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.9-4mdv2009.0
+ Revision: 248337
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.9-2mdv2008.1
+ Revision: 171078
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix no-buildroot-tag

* Thu Dec 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.9-1mdv2008.1
+ Revision: 138605
- rebuild for new era
- don't package license file
- adjust installation step for changes to web interface
- drop refdbsearch.php.in.patch (superseded upstream)
- new license policy
- clean and simplify spec
- new release 0.9.9

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jan 16 2007 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8.1-1mdv2007.0
+ Revision: 109452
- Update to 0.9.8-1

* Fri Dec 08 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8-1mdv2007.1
+ Revision: 93640
- 0.9.8 final

* Fri Dec 01 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8-0.pre9.1mdv2007.1
+ Revision: 89685
- pre9

* Sun Nov 12 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8-0.pre8.3mdv2007.1
+ Revision: 83473
- revert buildrequires for libreadline
- increase minor release to get i586 and x86_64 builds
- Change dependency for libreadline for iurt
- Update to pre8 since pre6 and pre7 had building problems
- pre6 (build problems, reported upstream)
  pre7 (build problems, file missing, reported upstream)

* Thu Oct 26 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8-0.pre5.2mdv2007.1
+ Revision: 72721
- modify spec to take previous patch in account
- fix problem in the web interface personal search

* Fri Oct 13 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8-0.pre5.1mdv2006.0
+ Revision: 63787
- pre5
- Update to pre5
- Update to pre5
  Remove Requires on libdbi
- lidbi0 reintroduced instead of libdbi
  Dropped changelog due to repsys: pre4
  remove some permissions fixes (reported upstream and fixed)
  remove trailing backup files (reported upstream)
  adjust some buildrequires for 64 bits
- tab fix
- new LSB compliant initscript patch
- Add Short-Description to the init script patch for LSB compliance
- pre4
  remove some permissions fixes (reported upstream and fixed)
  remove trailing backup files (reported upstream)
  adjust some buildrequires for 64 bits...
- Import refdb

* Tue Aug 29 2006 Stphane Tletcha <steletch@mandriva.org> 0.9.8-0.pre3.1
- pre3
- fix prerelease source address

* Thu Aug 24 2006 Stphane Tletcha <steletch@mandriva.org> 0.9.8-0.pre1.2
- remove libdir in files since it is used only in debug files (and thus not necessary here)

* Tue Aug 22 2006 Stphane Tletcha <steletch@mandriva.org> 0.9.8-0.pre1.1mdv
- 0.9.8-pre1 (fixes marc2ris, patch dropped), better UTF8 handling, web interface improvement
- Workaround for docdir -pre1 handling
- Dependencies in the specfile reworked

* Tue Aug 22 2006 Stphane Tletcha <steletch@mandriva.org> 0.9.7-2mdv2007.0
- Reenable some dependencies since the rebuild bot needs them

* Thu Jul 27 2006 Stphane Tletcha <steletch@mandriva.org> 0.9.7-1mdv2007.0
- Initial release, with rpm construction taken from Markus Pilzecker <mp@dfki.de>'s work
- Fix some permissions
- Add a patch for marc2ris
- Add a warning in README.urpmi for the www interface since it proves to seems badly functional
- Enhanced init script file
- The phpini parameters are commented since some parameters are defaults in the distribution

